## org.eclipse.amp.amf.adata
Interface Catalog

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CatalogImpl

    public interface Catalog

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Catalog'.

The following features are supported:

- `Runs`

See Also:
  `DataPackage.getCatalog()`

Method Summary
`org.eclipse.emf.common.util.EList<Run>` `getRuns()` Returns the value of the 'Runs' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRuns

    org.eclipse.emf.common.util.EList<Run> getRuns()

  Returns the value of the 'Runs' containment reference list. The list contents are of type `Run`.

  If the meaning of the 'Runs' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Runs' containment reference list.
  See Also:
    `DataPackage.getCatalog_Runs()`